#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;

namespace HeuristicLab.Core {
  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("4787DE26-3E2E-46B0-97B8-E3F2378DF639")]
  public interface ILookupParameter : IParameter {
    string ActualName { get; set; }
    string TranslatedName { get; }
    IExecutionContext ExecutionContext { get; set; }
    event EventHandler ActualNameChanged;
  }

  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("0FCD4510-FFF5-428C-96D2-C4BD579209D2")]
  public interface ILookupParameter<T> : ILookupParameter where T : class, IItem {
    new T ActualValue { get; set; }
  }
}
